What's new in WYSIWYG Web Builder 8?

General
- Improved: Redesigned publish window. Only the selected profile will now be displayed. 
- Improved: Most styles attributes are now seperated from the code.
- Improved: Previewing a page with an inline frame now also generates the referred (internal) page.
- Improved: Fine-tuned user interface color schemes (Office 2010/Obsidian black)
- Improved: Quality of toolbar icons. Icons are now 32bits with alpha channel.
- Improved: Help now has (even) more information. Also added 'Shift tricks' section, which describes more than 20 hidden (previously undocumented) features...
- Improved: All WWB jQuery plugins have been minified (wb.canvas.min.js, wb.slideshow.min.js, wb.validation.min.js, wb.stickylayer.min.js, wb.newsviewer.min.js, wb.conveyerbelt.min.js, wb.carousel.min.js)
- New Feature: Redesigned high quality toolbox icons for a fresh new look!
- New Feature: Added theme manager to create themes for jQuery objects (previously using themeroller themes) directly from within the application. 
- New Feature: Added 'Auto detect' to browser preview list editor.
- New Feature: Added 'custom style' option to Object HTML to add (inline) styles to an object.
- New Feature: Added support for @font-face! WWB automatically detects web unsafe fonts and publishes them along with your page using CSS3's @fontface technique.
- New Feature: 'opacity' property to many objects (CSS3)
- New Feature: 'box-shadow' property to editbox, textarea, form, layer, horizontal line, site search, auto complete, inline frame, marquee, push button, advanced button, combobox and slideshow (CSS3)
- New Feature: 'border-radius' property to image, editbox, textarea, form, layer, site search, auto complete, marquee, text, push button, advanced button, combobox and slideshow (CSS3)
- New feature: Added 'Easing' options to ShowWithEffect/HideWithEffect event actions, more than 30 easing functions to control the animation process. This option can be used for example to create 'bounch' effects.
- New feature: Added 'Use CSS3 gradients instead of images when possible' option. 
- New feature: Added 'Error reports' to Tools menu. This tool can help you find common problems on a page (like duplicated IDs, invalid filenames).

Style manager
- Improved: Padding style now also applies to editbox, textarea, autocomplete and site search.
- New feature: Added 'Advanced' option to Style Manager, so you can directly editor the CSS instead of using the Property Grid.
- New feature: Added 'line-height' and 'letter spacing' attributes.

Events:
- Improved: jQueryDialog can now be opened or closed through 'Show/Hide' actions.
- Improved: If 'Master page is a layer' is enabled then the master page can now be an event target.
- New feature: Added the ability to Copy/Paste events.
- New feature: Added support for HTML5 events (HTML5 must be selected as the doctype!)
generic events: ondrag, ondragend, ondragenter, ondragleave, ondragover, ondragstart, ondrop, onmousewheel, onscroll
form events: oncontextmenu, onformchange, onforminput, oninput, oninvalid
page events: onafterprint, onbeforeprint, onbeforeonload, onerror, onhaschange, onmessage, onoffline, ononline, onpagehide, onpageshow, onpopstate, onredo, onresize, onstorage, onundo

HTML Import:
- Improved: Made some minor improvements to HTML import (background image and text styles).
- Improved: When possible, the original page name will be used.
- New feature: Added the ability to import multiple pages.

Merged Object
- New feature: Add support for links.

Gradient Editor
- New feature: Added "horizontal/vertical' preview option in Gradient editor. Some gradients look way better vertically...
- New feature: Added more than 25 new presets. Mainly designed to be used for glossy and glass-like buttons (for example in the new CSS menu).

Extension Manager
- Improved: Official extensions now use a different icon so you can make a better distinction between official and user made the extensions.
- New feature: Added an option to 'Display official extensions only'. This will only display extensions created by Pablo Software Solutions.
- New feature: Added link to the forum for many additional (user-made) extensions.
 
Page features
- Improved: You can now set the 'theme' for all components within the page, since you can use one theme per page anyway. So you don't have to set the theme for each object individually anymore.
- Improved: Property inspector only shows relevant properties depending on background mode.
- Improved: Simplified 'Make default' behavior. It now asks if you also want to apply the settings to all pages. Removed 'Apply to All' button.
- Improved: Text 'Edit mode' will automatically be closed if you publish or preview the page.
- Improved: Added 'Don't include this page in the site map' option in Site Map configuration window.
- New feature: Added 'edge' mode to IE compatibility settings.
- New feature: Added 'HTML 5' document type. Convert your pages to HTML 5 with the click of the mouse!
- New feature: Added 'Background mode' property to switch between solid, image, gradient, transparent mode.
- New Feature: Added 'Underline Mode' to set the underline behavior of links for the whole page (never, always, hover only)
- New Feature: Added 'Direction' property to set 'left-to-right' or 'right-to-left'.
- New Feature: Added Syntax highlight to Page HTML.
- New Feature: It's now also possible to open/edit pages through the Page menu: Menu->Page->Edit Page...

Templates
- Improved: Preview images are now cached, so the template selection window will load much faster.

HTML Object:
- New Feature: Added Syntax highlight to HTML input field.

PayPal
- Improved: You can now add 6 additional option to a PayPal button (instead of 2)
- New feature: Added the ability to set the label each option field. (previously the object ID was used).

Flash
- New feature: Added 'Alternative image' property. Allows you to specify an alternative image for platforms that do not support Flash.

YouTube
- New feature: Added 'Lightbox' option. Makes it possible to display a YouTube video in a lightbox after clicking on a preview image.
- New feature: Added 'Enable full screen button' property
- New feature: Added 'Hide player controls after video starts playing' property
- New feature: Added 'Support both Flash and HTML5 video' property.
- New feature: Added support for dark theme and progress bar color.

Flash Video Player
- Improved: Platforms that do not support Flash will display preview image

Text:
- Improved: Better HTML output compliant with HTML5.
- Improved: Redesigned text object: faster, smaller data storage (resulting in smaller/faster project files), less memory usage.
- Improved: Character placement of rotated text is more accurate.
- New feature: Added option 'Display more, non web-safe fonts' in font selector (only if 'display web safe fonts' only is enabled)
- New feature: Added several new background options: gradient, pattern, texture, multi gradient, background image alignment.
- New feature: Added border properties.
- New feature: Added overflow property. Sets a value indicating how to manage the content of the object when the content exceeds the height or width of the object.
- New feature: Added padding property. Sets the amount of space between the object and its border.
- New feature: Added line-height property. Sets the distance between lines in the text.
- New feature: Added indent options. Increase or decrease the left margin (indent) of the current text line.
- New feature: Added letter spacing; sets the amount of additional space between letters in the text.

Shape, ClipArt, Curved Text, Text Art:
- New feature: Added 8 new gradient styles: Glass, Glossy, Vista, Linear from Center, Diagonal from corners.
- New feature: Added new option 'Publish as <canvas>', uses HTML5's canvas tag instead of an image.
- New feature: Added new option 'Publish as <svg>', shapes will be exported as vector based svg image!
- New feature: Added 'Hover mode'. Add the possibility to display a different background and border color on mouseover!

Polygon, Curve, Line
- New feature: Added new option 'Publish as <canvas>', uses HTML5's canvas tag instead of an image.
- New feature: Added new option 'Publish as <svg>', drawings will be exported as vector based svg image!

Text Menu:
- New feature: Added 'Spacing' option to specify the spacing between menu items. 

Navigationbar
- Improved: If animation is set to 'None' then the object will use CSS instead of JavaScript.
- New feature: Added the ability to have a different width for each button based on the text on the button.
- New feature: Added support for themes.
- New feature: Added padding properties

Menubar
- New feature: Added background image repeat and align options.
- New feature: Added 'Use page theme' option. Renders the object using the style of the current page theme. 

Slidemenu
- New feature: Added 'Use page theme' option. Renders the object using the style of the current page theme. 

Tab Menu
- New feature: Added 'Use page theme' option. Renders the object using the style of the current page theme. 
- New feature: Added 'border width' option
- New feature: Added 'border radius' option to create rounded corners for the tabs.
- New feature: Added 'spacing' option
- New feature: Added 'padding' option

EditBox
- Improved: The height of the editbox no longer depends on the font size. It's now fully resizable.
- New feature: Added 'Alignment' property
- New feature: Added 'Padding' property
- New feature: Added 'Box-shadow' (uses CSS3 shadow).
- New feature: Added 'Border-radius'
- New feature: Added new background options: gradient, pattern, texture, multi gradient, background image alignment.
- New feature: Added the ability to set individual border colors, width and styles for borders.
- New feature: Added 'Place holder' property (HTML5). The place holder text is displayed in the input field when it is empty, and disappears when the field gets focus.
- New feature: Added 'Auto complete' property (HTML5). The autocomplete attribute specifies whether or not the input field should have autocomplete enabled.
- New feature: Added support for new input types: color, date, datetime, datetime-local, email, month, number, range, search, tel, time, url, week (HTML5).
- New feature: Added support for HTML5 validation (required attribute + most other data type, using native validation where possible: email, url, number for other type 'pattern' will be used).

Textarea
- New feature: Added 'Alignment' property
- New feature: Added 'Padding' property
- New feature: Added new background options: gradient, pattern, texture, multi gradient, background image alignment.
- New feature: Added 'Box-shadow' (uses CSS3 shadow).
- New feature: Added 'Border-radius'
- New feature: Added the ability to set individual border colors, width and styles for borders.
- New feature: Added support for HTML5 validation (required attribute).

Checkbox
- New feature: Added support for HTML5 validation (required attribute).

Radio button
- New feature: Added support for HTML5 validation (required attribute).

Combobox
- Improved: The height of the combobox no longer depends on the font size. It's now fully resizable.
- Improved: Comboxbox now uses real CSS border (supported by all modern browsers).

FileUpload:
- New feature: Added support for HTML5 validation (required attribute).

Form:
- Improved: Added 'Advanced' button to Form properties. This includes all advanced settings for the form processor like MySQL, CSV, File Upload etc,
- New feature: Added 'Box-shadow' (uses CSS3 shadow).
- New feature: Added 'Border-radius'
- New feature: Added new background options: gradient, pattern, texture, multi gradient.
- New feature: Added the ability to set individual border colors, width and styles for borders.
- New feature: Added 'target' property.
- New feature: Added 'Maximum filesize' option to File Upload (form processor).
- New feature: Added 'Do not rename uploaded files' option to File Upload (form processor).
- New feature: Added 'Auto responder' option. Sends a message to the user after the forms has been submitted.
- New feature: Added support for Web Storage (HTML5) so you can store field values between sessions or/and pages. Enable this option and web builder will automatically store and retrieve all values for you!

Inline frame:
- New feature: Added 'Lightbox' option. Makes it possible to display the another page in a lightbox after clicking on a preview image.

Layer:
- New feature: Added 'Docking mode', this allows you to dock a layer to the edges of the browser window. 
- New feature: Added 'Box-shadow' (uses CSS3 shadow).
- New feature: Added 'Border-radius'
- New feature: Added new background options: gradient, pattern, texture, multi gradient.
- New feature: Added the ability to set individual border colors, width and styles for borders.

Horizontal line
- Improved: Line height is no longer limited to 100 pixels.
- New feature: Added 'Use page theme' option. Renders the object using the style of the current page theme. 
- New feature: Added 'Box-shadow' (uses CSS3 shadow).

JQuery Date picker
- Improved: Inline mode now uses native rendering instead of IE in preview mode. It's now much faster and more stable.

jQuery Auto Complete
- New feature: Added 'Alignment' property
- New feature: Added 'Padding' property
- New feature: Added 'Box-shadow' (uses CSS3 shadow).
- New feature: Added 'Border-radius'
- New feature: Added the ability to set individual border colors, width and styles for borders.

Media Player (previously known as Windows Media Player)
- New feature: Added HTML5 <audio> and <video> options, including support for alternative formats, show controls, preload and mute.
- New feature: Added support for media (HTML5) events: onabort, oncanplay, oncanplaythrough, ondurationchange, onemptied, onended, onerror, onloadeddata, onloadedmetadata, onloadstart, onpause, onplay, onplaying, onprogress, onratechange, onreadystatechange, onseeked, onseeking, onstalled, onsuspend, ontimeupdate, onvolumechange, onwaiting

News Feed Ticker (previously known as News Viewer)
- Improved: It's now possible to use multiple news viewer objects on the same page.
- Improved: Twitter mode now only shows the headline (and not the description), because it's always the same anyway...
- New feature: Added date formatting option: yy/mm/dd, d mm yy hh:nn:ss etc.
- New feature: Added Move up/Move down options to user defined section to rearrange headlines.
- New feature: Added sort ascending/descending option to change order of the items.
- New feature: Added slide up. slide down, slide left, slide right and fade animations to 'Slideshow' mode.
- New feature: Added new 'Ticker' viewer type. Uses cool ticker-like animations to fade and slide items into view.

Image:
- New feature: Added 'Border radius' option.
- New feature: Added 'Use CSS3 box-shadow', to use native CSS shadow instead of 'simulated' mode.
- New feature: Added 'Insert Image Place holder' menu item, so you can insert an image place holder without have to select an image.

JavaScripts:
- New feature: Added 'Link' picker to seevral scripts.
- New feature: Added 'Time redirect', redirect the user based on the time.
- New feature: Added 'Date redirect', redirect the user based on the date.
- New feature: Added 'Mobile redirect', redirect the user if the site is accessed through a mobile browser.
- New feature: Added 'Copyright notice' script. Displays a copyright message with the current year.
- New feature: Added 'Gradient Text' script. Display text with gradient effect.
- New feature: Added 'Text zoomer' script. Nice animated text effect.
- New feature: Added 'Check whether browser is zoomed' script. This checks whether the browser's text zoom is activate and will display a warning or redirect the user to another page.
- New feature: Added 'Social Network Bookmarks'. Adds social network share icons to your website. Includes delicious, digg, facebook, linkedin, myspace,netvibes,newsvine, stumbleupon, tumblr, twitter and many more!

Login tools:
- Improved: All login tools forms now have include an hidden 'form_name' field in the submition, this makes it possible to use multiple login tools on the same page.
- New feature: If MySQL is enabeld the 'Create database' button will now display a window with SQL statement whihc vcan be used to create the table in MYSQL.
- New feature: Added 'NotLoggedIn' text property to 'Login Name' object. Specifies the text to be shown if the user is not logged in.
- New feature: Custom profile fields to 'Signup' and 'Admin' objects. Supports 'Text' and 'Option' fields.
- New feature: Email verification option to 'Signup' object. if this option is enabled an email with verification link will be sent to activate the newly created account.
- New feature: New object 'Edit profile' to allow users to update their account information (also works with custom profile fields).

Asset Manager:
- New feature: The Asset Manager can now display orphan files (files no longer used by the project) with the ability to remove these files from the project folder.

Site Search:
- Improved: Added support for multiple search words. 
- New feature: Added 'Padding' property to editbox
- New feature: Added 'Box-shadow' (uses CSS3 shadow).
- New feature: Added 'Border-radius'
- New feature: Added new background options: gradient, pattern, texture, multi gradient, background image alignment.
- New feature: Added options to hide keywords and description in search results.
- New feature: Search index can now be configured to use absolute links, so the site search can also be used in sub folders.
- New feature: Added 'padding' property to specify the padding of the search results page.

Photo Gallery:
- New feature: Added 'Settings' to lightbox gallery mode. This allows you to spcifciy additional options for the selected lightbox/gallery.
- New feature: Added box shadow option (blur, offset and color)
- New feature: Added Polariod frame style this uses CSS3 and has a few cool effects like rotated or variable sized polariods. Yet another way to create amazing photo galleries.

Slide show:
- New feature: Added 'Settings' to lightbox gallery mode. This allows you to spcifciy additional options for the selected lightbox/gallery.
- New feature: Added 'Easing' property with more than 30 easing functions to control the animation process.
- New feature: Added 'Conveyer Belt' mode. This is an image slideshow which scrolls the images in a "conveyor belt" fashion.

Rollover image:
- Improved: Added 'Inside anchor' option in HTML settings.
- Improved: If animation is set to 'None' then the object will use CSS instead of JavaScript.
- New feature: Added 'Easing' property with more than 30 easing functions to control the animation process.
- New feature: Added 'Scale' animation. Uses CSS3 to display a larger version of the image. Uses transformation, CSS3 box shadow, a nice image caption when possible (experimental).
- New feature: Added 'Sliding door' animation. This make it looks like the image is splitted into half and one goes left and the other one goes right. Also support easing effects!

Rollover text:
- New feature: Added 'Easing' property with more than 30 easing functions to control the animation process.

Carousel:
- New feature: The Carousel object (also known as horizontal sliding panels) displays images or any other objects by scrolling the content from right to left using a smooth sliding animation. 
It’s a very effective method to increase the web site usability and engage the user. You probably have seen this effect on many popular websites, such as Apple or Blackberry.
Users can step to any specific panel on demand using the pagination icons or browse the carousel sequentially by using the back/next buttons. 
The Carousel also has built-in support for mobile devices. On the iPhone/iPad/Android the visitor can use slide gestures to switch between pages!

Mega Menu:
- New feature: Added 'Mega Menu' object to tools. Yet another menu to enhance your website. This is an advanced version of the Mega Menu which was previously available as extension.

CSS Menu:
- New feature: Added 'CSS Menu' object to tools. This menu allows you to create fancy menus (glossy, glass, gradients etc) without using JavaScript or images! Uses CSS3 gradients and shadows.

Content Management System
- New feature: WYSIWYG Web Builder now has a basic built-in CMS to allow online content editing (requires PHP/mySQL)
- New feature: Added Content Management System adminstrator Panel to add/edit/copy and remove pages. 
- New feature: The adminstrator  panel supports several popular editors like CKEditor, TinyMCE and CLEditor. It also has a simply built-in editor.
- New feature: You can make hide pages from the menu strcuture which currently under construction.
- New feature: The CMS has several individual 'design blocks' too give you as much flexicbily as possible, so yo ucan easily intgearte the tools into your existing layouts.
- New feature: Added CMS View object, which is a place holder for the online content.
- New feature: Added CMS Menu object, which can be used to navigate between online pages. The menu has many customizable options.
- New feature: Added CMS search object, which can be used to search online content.
- New feature: Added CMS label object, this can be used to display the title of the page, the creation date, author, page views ect anywhere on the page.
- New feature: The CMS supports (optional) AJAX to allow the user to quickly navigate between pages without have to reload the whole page!
- New feature: The CMS integrates with the login tools so you can assign different users to the CMS but also have a global admin.
- New feature: The CMS keeps track of the page views.
- New feature: The CMS supports external pages, so you can mix online content with standard pages. Or even pages from other websites.
- New feature: Includes a simple File Manager which can be used to upload and manage online files (like images).

11/22/2011 - Version 8.0.1
- Fixed: Asset Manager mistakes page background image as orphan file.
- Fixed: Padding issue in text object.
- Fixed: Image background not visible in browser.
- Fixed: Menubar split causes issues with themes.
- Fixed: Merged objects not displayed in browser (PNG only). 
- Fixed: Moving project to another folder makes file location invalid.
- Fixed: Opacity in master page rendering
- Fixed: Photo gallery thumbnail height issue.
- New feature: Added 'Office 2007' theme'
- New feature: Added 'EnableErrorReporting' to CMS admin. Useful for error tracing.
- New feature: Added 'Enable Syntax highlighting' option to Tools->Options->General. Can be useful for large pages where parsing the HTML takes too much time.

12/02/2011 - Version 8.0.2
- Fixed: SlideShow 'scroll right' animation in News Feed Ticker.
- Fixed: Page count > 25 in Carousel causes crash.
- Fixed: YouTube autohide option works inverse.
- Fixed: Menu bar selects wrong font name if the font list is very long.
- Fixed: Added default line-height for HTML5 pages.
- Fixed: Added check for PHP magic quotes in CMS Admin script.
- Fixed: Button image selection in Menubar causes crash.
- Fixed: Layer on master page with overflow hidden causes crash.
- Fixed: Mega Menu's moveup/movedown buttons do not work for links.
- Fixed: Error reports generates size error for line object.
- Fixed: Problem with Arabic text in HTML object (Unicode version only).
- New feature: Add box-shadow to CAPTCHA

12/24/2011 - Version 8.0.3
- Fixed: Merging objects on layers unreliable. It's no longer possible to merged forms/layers or objects that are part of a form/layer.
- Fixed: Text alignment in layers.
- Fixed: Style lost when cloning bullets.
- Fixed: Upgrade problem with text that is part of a merged object.
- Improved: Flash Video Player now supports online videos (using absolute paths).
- Improved: Added more default line height options (1.1, 1.3 and 1.4)
- Improved: Added Line Height/Letter spacing options to text context menu.
- Improved: Added Line Height button to formatting toolbar.
- New feature: Added 'Office 2007 (Obsidian black)' theme'. Back on request!
- New feature: Added support for modest branding in YouTube object.
- New feature: Added 'Use Full Width' option. Specifies whether to draw the background over the full width (instead of just the text item width).
- New feature: Default output format (for text optimizing) in Page Properties (style).

01/24/2012 - Version 8.0.4
- Fixed: 'Convert to form' in Edito profile now include PHP code in editboxes.
- Fixed: Symbol characters encoded in Unicode.
- Fixed: Theme is not saved when using 'Make default' in page properties.
- Fixed: 'TotalTimeColor' property of Flash Video Player does not remember its color.
- Fixed: Invalid Page Language selection for Chinese
- Fixed: Thermique effect does not work when using properties dialog.
- Fixed: Invalid status for 'Move up' in Site Manager.
- Fixed: jQuery Button: You can't open a popup (settings takes no effect)
- Fixed: Shapes with a value for opacity are no longer transparent on layers
- Fixed: Problem with the border style f.e. in the News Feed Ticker. "Default" is "Dotted", "Solid" is "Double" ...
- Fixed: Menu bar: "Style Item" > "BackgroundTransparent" doesn't take effect in the browser when "UseFullWidth" is set to "True"
- Improved: Inline frame shadow/border now also works for lightbox preview image.

03/05/2012 - Version 8.0.5
- Fixed: Invalid title color in Photo Gallery when using jQuery Dialog.
- Fixed: Problem with nested layers in master page.
- Fixed: Carousel, jQuery Tab, Dialog, Accordion can now be used on a master frame.

04/09/2012 - Version 8.1.0
- Fixed: Layer/Form background image renders background color.
- Fixed: Rearranging styles in the style manager destroys assignment.
- Fixed: Object Manager draws wrong line for child objects of layer/forms (sort descending).
- Fixed: New extensions no longer generate 'DocumentReady' if it's not needed.
- Improved: iPhone target screen (320x480) adds viewport to prevent scaling on mobile devices.
- Improved: Carousel navigation no longer jumps to the top of the page.
- Improved: 'Include GDFONTPATH' option moved to CAPCTHA properties, so you can set it for each project indivually.
- Improved: Bulleted list no longer uses tables, but CSS instead.
- Improved: Asset Manager is now aware of LightBox preview image in Inline Frame/YouTube and custom images of the navigation bar.
- Improved: Rollover image zoom animation includes target and title attributes.
- Improved: Conveyer belt in SlideShow now uses full height for images.
- Improved: Menubar compatible with iPad/iPhone/Android.
- Improved: 'Publish HTML only' now also publishes sub pages (for example RSS feed, Blog, CMS Admin, News Writer, Login Admin)
- Improved: Publish locations are sorted alphabetically.
- Improved: Publish option 'Pages Using the Selected Master Page' now also works for Master Frames.
- Improved: If Lightbox is enabled for YouTube or Inline frame then the image will be displayed in the workspace.
- New feature: Addded Paypal currency support for Brazilian Real, Israeli New Sheqel, Malaysian Ringgit, Mexican Peso, Philippine Peso, Taiwan New Dollar, Thai Baht and Turkish Lira.
- New feature: Extension Manager displays filename of installed extension. Click the filename to jump to the extension's location on disk.
- New feature: Added 'Lock all guides', 'Unlock all guides' and 'Delete guide from all pages' to guide context menu.
- New feature: Added support for border styles in Theme Manager (none, dotted, dashed and solid).
- New feature: Added font styles (bold, italic, underline) to MegaMenu.
- New feature: Added (box) shadow (color, offset, blur) properties to Style Manager.
- New feature: Holding SHIFT while clicking OK in popup settings will make the settings default for all new links.
- New feature: Added the ability to display grid on top (in guide settings).
- New feature: Added 'Options' to lightbox feature of YouTube and Inline frame, so you can customize the look and feel of the lightbox.
- New feature: Added title, description and keywords to CMS tools for Search Engine Optimization.
- New feature: Added support for SEO friendly URLs in CMS. Now you can use 'http://www.website.com/cms.php?page=my-seo-friendly-page-name' instead of 'http://www.website.com/cms.php?page=8'
- New feature: Added 'Disable Page Management for users' option to CMS admin. This option hides "create new page", "copy", "delete", "set homepage" and "order" for standard users (not for admin).
- New feature: Added new modes to Carousel: forward, backward, forward/backward (auto reverse) , forward circular and backward circular. Thanks to Jordan for the inspiration!
- New feature: Added 'Start page' option to Carousel. Specifies the initial page display on page load.
- New feature: Added 'Facebook Like Button' and 'Facebook Like Box' to ready-to-use-javascripts for easier integration with Facebook.

05/12/2012 - Version 8.1.5
- Fixed: Link does not work in RollOver Text (full mode only)
- Fixed: Missing HTML5 events.
- Fixed: Mega menu 'Add link' is not saved the first time.
- Improved: Master frame content will no longer move down if object is not directly below content place holder.
- Improved: No breaking space functionality for French (must set page language to French!)
- Improved: More efficient page cloning.
- Improved: YouTube object loads faster.
- Improved: Faster loading of tables when opening project or cloning the page.
- Improved: During publishing/preview memory allocated for images will be freed for inactive pages.
- Improved: PayPal images will no longer be loaded from the PayPal server (because it is no longer reliable).
- Improved: Upgraded to the latest version of jQuery (1.7.2) and jQuery UI (1.8.2).
- New feature: Added 'Google +1 Button' to ready-to-use-javascripts.
- New feature: Added 'Twitter Follow Button' to ready-to-use-javascripts.
- New feature: Added 'Twitter Share Button' to ready-to-use-javascripts.

06/11/2012 - Version 8.2.0
- Fixed: Grid does not have correct offset when scrolled.
- Fixed: Master page modifications can cause for crash closed pages using that master page.
- Fixed: <ctrl>+<right arrow> doesn't work properly if 'snap to grid' is enabled.
- Improved: Added 'background-color:transparent' for background images (useful for transparent images).
- Improved: First selection of GoMenu no longer generates error if user did not select a link.
- Improved: Replaced ereg() with preg_match() in PHP code. ereg() is not longer supported in newer versions of PHP.
- Improved: SiteTree object now also supports generic background styles (transparent, solid, gradient, image, pattern, texture).
- Improved: 'Error reports' now also verifies master frame objects for the current page. 
- New feature: Added the ability to add custom code to a content place holder (only works if it has a border or background)
- New feature: Added support for background textures to Theme Manager.
- New feature: Added box shadow to text object.
- New feature: Added 'Synchronize with Site Manager' option to Go Menu.
- New feature: The 'core' of extensions is now built into the application. This reduces the overhead, quicker loading and less memory usage. Also it provides closer integration posibilities with WWB.
- New feature: Added 'Optimize inline styles' to HTML options. This is option attempts to cleanup the HTML code by moving inline styles to the page's style sheet.

06/22/2012 - Version 8.2.1
- Fixed: Rich Text editor does not work in extensions.
- Fixed: Extension's gallery live rendering does not work directly after loading the project.
- Fixed: Thumbnails generated by extensions have no alpha channel background.
- Improved: Extension's File Collection now uses Asset Manager.
- Improved: The handle of msftedit.dll (rich text editor) is now cached for improved performance.
- Improved: All internal XML is parsed twice as fast.
- New feature: If a page has duplicate IDs then it will display a warning before publishing.

07/04/2012 - Version 8.2.x
- Fixed: Invalid filename for dynamically generated background images in master page objects.
- Fixed: Events on master frames refer to wrong object ID.
- Fixed: Some servers generate 'Trying to get property of non-object' error when adding text to search index in CMS Admin.
- Improved: Navigation bar images memory management.
- Improved: Meta tags from master frame are now included.

09/30/2012 - Version 8.5.0
- Added Unicode support to standard version!
- UI redesigned toolbar/menubar/control bars/statusbar Switch GUI library. The GUI uses less GDI objects, modern look and feel, new themes etc
- Redesign property grid, much faster, less memory usage. Many objects have now more properties available.
- Added events toolbar button to Property Inspector to quickly access events of an object.
- Added search box to property inspector to filter properties.
- Added 'reset value' to property inspector to easily undo a specific values (while the object is still selected). Useful to try different values.
- Added context menu and menu button to Properties of property grid (Copy value, paste value, reset value, show/hide search box and view/hide description field).
- Color picker in toolbar remembers last selected color, so you can quickly reuse it for other (text) objects.
- Customizable context menus
- New color picker, larger color palette.
- Tear-off/dockable color picker for text and other objects. 
- Recent colors in color picker
- Property dialogs of CMS Admin, Login Admin, and other logins tools are now resizable.
- Extended tooltips in toolbars.
- New toolbox with customize dialog. State will be saved in toolbox.dat in system folder, so it can be easily transferred to another computer.
- Added List View and icon view (compact view) to toolbox.
- Added 'Find tool' to toolbox to quickly find a tool in the toolbox.
- Added configurable 'tab close button': close button can be on tab, on all buttons etc
- Improved syntax highlighting in Page HTML/Object HTML and HTML object. 
- Added find, copy/paste, go to line in Page HTML/Object HTML.
- Added line numbers in Page HTML/Object HTML
- Added outline support to Page HTML/Object HTML, to hide/collapse blocks of code. 
- Added bookmark support to Page HTML/Object HTML, to quickly navigate through the code .
- Added support for 'lice' links in Page HTML/Object HTML (hold down CTRL to follow the link).
- Fontsize property now uses pixels (just like all other WWB objects)
- Added 'disable debug' option in Extensions Manager.
- Added 'Enable events' option. This will add the 'Events' property to the property grid. Use $EVENTS$ to add the events to your code! See Extension Builder documentation for more details.
- Extensions manager: Sort by, most downloads, name, date
- Extensions manager: it's no longer necessary to create a separate .uwbx extension! Non-unicode extensions will be converted 'on the fly' (user made extensions only).
- Added support for links in Rich text editor of extensions.
- Properties of user made extensions are now integrated in the property inspector so the user can quickly modify the settings.
- Added 'Find page' to Site Manager to search for page name.
- Added new option to search index 'text only index. This will only index the text which result in smaller/faster search. In most cases this mode will be sufficient.
- Added search box to Object manager to quickly find/filter objects (by ID).
- Added new option to CMS View, 'Fixed content' this allows you to use multiple CMS View on the same page all with a different Page.
- Added email notification option to CMS admin when page is modified.
- Duplicate warning notification is is displayed when loading page/preview/publish. Can be disabled in Options.
- News Feed Ticker: now also supports Atom Syndication Format for RSS feeds.
- News feed ticker: added twitter search query mode for global search (also displays twitter profile images!) 
- News feed ticker: Links in tweets are now clickable.
- Image: Tooltips now display crop values in crop mode.
- ImageMap: Tooltips now display hotspot position/size.
- Added 'Rename ID' to context menu of objects.
- Double click on ID in statusbar to rename.
- Font picker in formatting toolbar now displays web safe fonts first.
- Added support for events to Layers.
- Added support for events to Banner.
- Added 'collapsible' option to jQuery Accordion. Specifies whether all the sections can be closed at once.
- Added 'collapsible' option to jQuery Tab. Specifies whether an already selected tab can to become unselected again upon reselection (hides the tab).
- Added the ability to include form data in Auto Response message of the form processor.
- Added Text alignment to Site Search, CMS Search, Auto Complete and DatePicker (Property Inspector).
- Added 'padding' property to CMS View.
- Added 'Move item up/move item down' options to Bulleted list (context menu) to quickly rearrange items.
- Added 'Use shared asset folder' option. Enablingh this option will share the asset folder(s) for the entire website (including pages in sub folders!). This means that sub folder no longer use a seperate asset folder.

10/18/2012 - Version 8.5.1
- Fixed: Updated Twitter API calls in News Writer (the old ones no longer worked)
- Fixed: Invalid font selection for systems with non-standard DPI.
- Fixed: Text style in context menu is disabled.
- Fixed: Wrong text color in 'Customize' toolbar for Office 2010 Black theme.
- Fixed: Change FTP permission does not work in Unicode version.
- Improved: Preview in 'navigation bar' properties now renders themed button if 'Use page theme' is selected.
- Improved: Space evenly now also works for merged objects.
- New feature: Added support for left/right padding for left/right aligned text in 'navigation bar' object.

11/16/2012 - Version 8.5.2
- Fixed: Shared path problem in Flash Video Player.
- Fixed: YouTube player stuttering video caused by 'wmode=transparent'
- Fixed: Color picker 'More colors' picks the wrong color for text.
- Fixed: Parser error 'Script not closed' caused by quotes in script comments.
- Fixed: Zoom level not in sync with manual zoom value.
- Improved: styles with psuedo classes (:hover, :invalid etc) are now also included in HTML.
- Improved: Updated twitter logos in Ready-to-use-Javascripts ('T' logo may no longer be used according to the Twitter Trademark and Content Display Policy).

12/16/2012 - Version 8.5.3
- Fixed: Customizing format toolbar causes crash.
- Fixed: Check for updates fails on some systems.

01/21/2013 - Version 8.5.4
- Improved: If WYSIWYG Web Builder is already running then it will display a warning message. This will help you to prevent opening the same project twice.

02/18/2013 - Version 8.5.5
- Fixed: Import from another project mixes up stacked layers.
- Improved: Import from another project resets master page references, because they are not invalid within the context of another project.
- Improved: Error Reports now includes the name of the file in filename related errors.

03/31/2013 - Version 8.5.6
- Fixed: Navigation bar size bug when the image is not found (for example if the project was moved to another computer).
- Fixed: Crash when using Ctrl+Z with Object Manager.

05/11/2013 - Version 8.5.7
- Fixed: Links styles do not work in nested master pages.
- Fixed: Shape hover does not incldue title tag
- Fixed: Carousel, Tabs and Accordion may not display all objects when used on a master frame.

07/01/2013 - Version 8.5.8
- Fixed: Problem with Master Page object size calculation for Layers with overflow set to 'hidden'.
- Fixed: Closing </div> is missing in Photo Gallery with jQuery Dialog.
- Fixed: Bug in maximum file size option.
- Fixed: Border attribute in RSS Feed is not W3C compliant.
- Fixed: Groupoing object does not set 'modified' flag of the project.
- Fixed: Twitter API (in News Feed Ticker) now requires authentication. See the help for mroe details.
- Improved: Object Manager refresh when using copy/paste.

10/28/2013 - Version  8.5.9
- New feature: Added new FTP engine option (Tools->Options->Publish & Preview). You can now switch between wininet or winsock. Select winsock if you have issues with publishing in Windows 8.1.
